# Push Notifications

- [Request Permission](https://docs.apphive.io/reference/funciones/push-notifications/request-permission.md): The Request Permissions function allows the user to have the necessary permissions to be able to receive push notifications from any application that is within the same project
- [Push Notifications Cancel All](https://docs.apphive.io/reference/funciones/push-notifications/push-notifications-cancel-all.md)
- [Send push](https://docs.apphive.io/reference/funciones/push-notifications/send-push.md): The send push function allows the user to send push notifications to applications that are within the same project as the app that will send the messages. When the notification arrives, it is activate
- [Open Remote](https://docs.apphive.io/reference/funciones/push-notifications/open-remote.md)
- [permissionRequestRemote](https://docs.apphive.io/reference/funciones/push-notifications/permissionrequestremote.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/push-notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
